VULKAN_HPP_NAMESPACE::Instance Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | Instance ()
VULKAN_HPP_CONSTEXPR | Instance (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | Instance (VkInstance instance)
Instance & | operator= (std::nullptr_t)
bool | operator== (Instance const &rhs) const
bool | operator!= (Instance const &rhs) const
bool | operator< (Instance const &rhs) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroy (const AllocationCallbacks *pAllocator, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroy (Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
Result | enumeratePhysicalDevices (uint32_t *pPhysicalDeviceCount, PhysicalDevice *pPhysicalDevices, Dispatch const &d=Dispatch()) const
template<typename Allocator = std::allocator<PhysicalDevice>, typename Dispatch = DispatchLoaderStatic>
ResultValueType< std::vector< PhysicalDevice, Allocator > >::type | enumeratePhysicalDevices (Dispatch const &d=Dispatch()) const
template<typename Allocator = std::allocator<PhysicalDevice>, typename Dispatch = DispatchLoaderStatic>
ResultValueType< std::vector< PhysicalDevice, Allocator > >::type | enumeratePhysicalDevices (Allocator const &vectorAllocator, Dispatch const &d) const
template<typename Dispatch = DispatchLoaderStatic>
PFN_vkVoidFunction | getProcAddr (const char *pName, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
PFN_vkVoidFunction | getProcAddr (const std::string &name, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
Result | createDisplayPlaneSurfaceKHR (const DisplaySurfaceCreateInfoKHR *pCreateInfo, const AllocationCallbacks *pAllocator, SurfaceKHR *pSurface, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< SurfaceKHR >::type | createDisplayPlaneSurfaceKHR (const DisplaySurfaceCreateInfoKHR &createInfo, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< UniqueHandle< SurfaceKHR, Dispatch > >::type | createDisplayPlaneSurfaceKHRUnique (const DisplaySurfaceCreateInfoKHR &createInfo, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroySurfaceKHR (SurfaceKHR surface, const AllocationCallbacks *pAllocator, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroySurfaceKHR (SurfaceKHR surface, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroy (SurfaceKHR surface, const AllocationCallbacks *pAllocator, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroy (SurfaceKHR surface, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
Result | createDebugReportCallbackEXT (const DebugReportCallbackCreateInfoEXT *pCreateInfo, const AllocationCallbacks *pAllocator, DebugReportCallbackEXT *pCallback, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< DebugReportCallbackEXT >::type | createDebugReportCallbackEXT (const DebugReportCallbackCreateInfoEXT &createInfo, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< UniqueHandle< DebugReportCallbackEXT, Dispatch > >::type | createDebugReportCallbackEXTUnique (const DebugReportCallbackCreateInfoEXT &createInfo, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroyDebugReportCallbackEXT (DebugReportCallbackEXT callback, const AllocationCallbacks *pAllocator, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroyDebugReportCallbackEXT (DebugReportCallbackEXT callback, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroy (DebugReportCallbackEXT callback, const AllocationCallbacks *pAllocator, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroy (DebugReportCallbackEXT callback, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | debugReportMessageEXT (DebugReportFlagsEXT flags, DebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char *pLayerPrefix, const char *pMessage, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | debugReportMessageEXT (DebugReportFlagsEXT flags, DebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const std::string &layerPrefix, const std::string &message, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
Result | enumeratePhysicalDeviceGroups (uint32_t *pPhysicalDeviceGroupCount, PhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties, Dispatch const &d=Dispatch()) const
template<typename Allocator = std::allocator<PhysicalDeviceGroupProperties>, typename Dispatch = DispatchLoaderStatic>
ResultValueType< std::vector< PhysicalDeviceGroupProperties, Allocator > >::type | enumeratePhysicalDeviceGroups (Dispatch const &d=Dispatch()) const
template<typename Allocator = std::allocator<PhysicalDeviceGroupProperties>, typename Dispatch = DispatchLoaderStatic>
ResultValueType< std::vector< PhysicalDeviceGroupProperties, Allocator > >::type | enumeratePhysicalDeviceGroups (Allocator const &vectorAllocator, Dispatch const &d) const
template<typename Dispatch = DispatchLoaderStatic>
Result | enumeratePhysicalDeviceGroupsKHR (uint32_t *pPhysicalDeviceGroupCount, PhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties, Dispatch const &d=Dispatch()) const
template<typename Allocator = std::allocator<PhysicalDeviceGroupProperties>, typename Dispatch = DispatchLoaderStatic>
ResultValueType< std::vector< PhysicalDeviceGroupProperties, Allocator > >::type | enumeratePhysicalDeviceGroupsKHR (Dispatch const &d=Dispatch()) const
template<typename Allocator = std::allocator<PhysicalDeviceGroupProperties>, typename Dispatch = DispatchLoaderStatic>
ResultValueType< std::vector< PhysicalDeviceGroupProperties, Allocator > >::type | enumeratePhysicalDeviceGroupsKHR (Allocator const &vectorAllocator, Dispatch const &d) const
template<typename Dispatch = DispatchLoaderStatic>
Result | createDebugUtilsMessengerEXT (const DebugUtilsMessengerCreateInfoEXT *pCreateInfo, const AllocationCallbacks *pAllocator, DebugUtilsMessengerEXT *pMessenger, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< DebugUtilsMessengerEXT >::type | createDebugUtilsMessengerEXT (const DebugUtilsMessengerCreateInfoEXT &createInfo, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
ResultValueType< UniqueHandle< DebugUtilsMessengerEXT, Dispatch > >::type | createDebugUtilsMessengerEXTUnique (const DebugUtilsMessengerCreateInfoEXT &createInfo, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroyDebugUtilsMessengerEXT (DebugUtilsMessengerEXT messenger, const AllocationCallbacks *pAllocator, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroyDebugUtilsMessengerEXT (DebugUtilsMessengerEXT messenger, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroy (DebugUtilsMessengerEXT messenger, const AllocationCallbacks *pAllocator, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | destroy (DebugUtilsMessengerEXT messenger, Optional< const AllocationCallbacks > allocator=nullptr, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | submitDebugUtilsMessageEXT (DebugUtilsMessageSeverityFlagBitsEXT messageSeverity, DebugUtilsMessageTypeFlagsEXT messageTypes, const DebugUtilsMessengerCallbackDataEXT *pCallbackData, Dispatch const &d=Dispatch()) const
template<typename Dispatch = DispatchLoaderStatic>
void | submitDebugUtilsMessageEXT (DebugUtilsMessageSeverityFlagBitsEXT messageSeverity, DebugUtilsMessageTypeFlagsEXT messageTypes, const DebugUtilsMessengerCallbackDataEXT &callbackData, Dispatch const &d=Dispatch()) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkInstance () const
| operator bool () const
bool | operator! () const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroy (const AllocationCallbacks *pAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroy (Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE Result | enumeratePhysicalDevices (uint32_t *pPhysicalDeviceCount, PhysicalDevice *pPhysicalDevices, Dispatch const &d) const
template<typename Allocator , typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< std::vector< PhysicalDevice, Allocator > >::type | enumeratePhysicalDevices (Dispatch const &d) const
template<typename Allocator , typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< std::vector< PhysicalDevice, Allocator > >::type | enumeratePhysicalDevices (Allocator const &vectorAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE PFN_vkVoidFunction | getProcAddr (const char *pName, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE PFN_vkVoidFunction | getProcAddr (const std::string &name, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE Result | createDisplayPlaneSurfaceKHR (const DisplaySurfaceCreateInfoKHR *pCreateInfo, const AllocationCallbacks *pAllocator, SurfaceKHR *pSurface, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< SurfaceKHR >::type | createDisplayPlaneSurfaceKHR (const DisplaySurfaceCreateInfoKHR &createInfo, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< UniqueHandle< SurfaceKHR, Dispatch > >::type | createDisplayPlaneSurfaceKHRUnique (const DisplaySurfaceCreateInfoKHR &createInfo, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroySurfaceKHR (SurfaceKHR surface, const AllocationCallbacks *pAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroySurfaceKHR (SurfaceKHR surface, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroy (SurfaceKHR surface, const AllocationCallbacks *pAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroy (SurfaceKHR surface, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE Result | createDebugReportCallbackEXT (const DebugReportCallbackCreateInfoEXT *pCreateInfo, const AllocationCallbacks *pAllocator, DebugReportCallbackEXT *pCallback, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< DebugReportCallbackEXT >::type | createDebugReportCallbackEXT (const DebugReportCallbackCreateInfoEXT &createInfo, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< UniqueHandle< DebugReportCallbackEXT, Dispatch > >::type | createDebugReportCallbackEXTUnique (const DebugReportCallbackCreateInfoEXT &createInfo, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroyDebugReportCallbackEXT (DebugReportCallbackEXT callback, const AllocationCallbacks *pAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroyDebugReportCallbackEXT (DebugReportCallbackEXT callback, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroy (DebugReportCallbackEXT callback, const AllocationCallbacks *pAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroy (DebugReportCallbackEXT callback, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | debugReportMessageEXT (DebugReportFlagsEXT flags, DebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char *pLayerPrefix, const char *pMessage, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | debugReportMessageEXT (DebugReportFlagsEXT flags, DebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const std::string &layerPrefix, const std::string &message, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE Result | enumeratePhysicalDeviceGroups (uint32_t *pPhysicalDeviceGroupCount, PhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties, Dispatch const &d) const
template<typename Allocator , typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< std::vector< PhysicalDeviceGroupProperties, Allocator > >::type | enumeratePhysicalDeviceGroups (Dispatch const &d) const
template<typename Allocator , typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< std::vector< PhysicalDeviceGroupProperties, Allocator > >::type | enumeratePhysicalDeviceGroups (Allocator const &vectorAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE Result | enumeratePhysicalDeviceGroupsKHR (uint32_t *pPhysicalDeviceGroupCount, PhysicalDeviceGroupProperties *pPhysicalDeviceGroupProperties, Dispatch const &d) const
template<typename Allocator , typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< std::vector< PhysicalDeviceGroupProperties, Allocator > >::type | enumeratePhysicalDeviceGroupsKHR (Dispatch const &d) const
template<typename Allocator , typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< std::vector< PhysicalDeviceGroupProperties, Allocator > >::type | enumeratePhysicalDeviceGroupsKHR (Allocator const &vectorAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE Result | createDebugUtilsMessengerEXT (const DebugUtilsMessengerCreateInfoEXT *pCreateInfo, const AllocationCallbacks *pAllocator, DebugUtilsMessengerEXT *pMessenger, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< DebugUtilsMessengerEXT >::type | createDebugUtilsMessengerEXT (const DebugUtilsMessengerCreateInfoEXT &createInfo, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE ResultValueType< UniqueHandle< DebugUtilsMessengerEXT, Dispatch > >::type | createDebugUtilsMessengerEXTUnique (const DebugUtilsMessengerCreateInfoEXT &createInfo, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroyDebugUtilsMessengerEXT (DebugUtilsMessengerEXT messenger, const AllocationCallbacks *pAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroyDebugUtilsMessengerEXT (DebugUtilsMessengerEXT messenger, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroy (DebugUtilsMessengerEXT messenger, const AllocationCallbacks *pAllocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | destroy (DebugUtilsMessengerEXT messenger, Optional< const AllocationCallbacks > allocator, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | submitDebugUtilsMessageEXT (DebugUtilsMessageSeverityFlagBitsEXT messageSeverity, DebugUtilsMessageTypeFlagsEXT messageTypes, const DebugUtilsMessengerCallbackDataEXT *pCallbackData, Dispatch const &d) const
template<typename Dispatch >
VULKAN_HPP_INLINE void | submitDebugUtilsMessageEXT (DebugUtilsMessageSeverityFlagBitsEXT messageSeverity, DebugUtilsMessageTypeFlagsEXT messageTypes, const DebugUtilsMessengerCallbackDataEXT &callbackData, Dispatch const &d) const

## Private Attributes

VkInstance | m_instance

## Detailed Description

Definition at line 47302 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Instance() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Instance::Instance | ( |  | ) |

inline

Definition at line 47305 of file vulkan.hpp.

: m_instance(VK_NULL_HANDLE)
{}

## Instance() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Instance::Instance | ( | std::nullptr_t |  | ) |

inline

Definition at line 47309 of file vulkan.hpp.

: m_instance(VK_NULL_HANDLE)
{}

## Instance() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Instance::Instance | ( | VkInstance | instance | ) |

inline

Definition at line 47313 of file vulkan.hpp.

: m_instance( instance )
{}

## Member Function Documentation

## createDebugReportCallbackEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<DebugReportCallbackEXT>::type VULKAN_HPP_NAMESPACE::Instance::createDebugReportCallbackEXT | ( | const DebugReportCallbackCreateInfoEXT & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47943 of file vulkan.hpp.

{
DebugReportCallbackEXT callback;
Result result = static_cast<Result>( d.vkCreateDebugReportCallbackEXT( m_instance, reinterpret_cast<const VkDebugReportCallbackCreateInfoEXT*>( &createInfo ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ), reinterpret_cast<VkDebugReportCallbackEXT*>( &callback ) ) );
return createResultValue( result, callback, VULKAN_HPP_NAMESPACE_STRING"::Instance::createDebugReportCallbackEXT" );
}

References callback(), VULKAN_HPP_NAMESPACE::createResultValue(), d, m_instance, and VULKAN_HPP_NAMESPACE_STRING.

## createDebugReportCallbackEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<DebugReportCallbackEXT>::type VULKAN_HPP_NAMESPACE::Instance::createDebugReportCallbackEXT | ( | const DebugReportCallbackCreateInfoEXT & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## createDebugReportCallbackEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE Result VULKAN_HPP_NAMESPACE::Instance::createDebugReportCallbackEXT | ( | const DebugReportCallbackCreateInfoEXT * | pCreateInfo,
|  | const AllocationCallbacks * | pAllocator,
|  | DebugReportCallbackEXT * | pCallback,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47937 of file vulkan.hpp.

{
return static_cast<Result>( d.vkCreateDebugReportCallbackEXT( m_instance, reinterpret_cast<const VkDebugReportCallbackCreateInfoEXT*>( pCreateInfo ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ), reinterpret_cast<VkDebugReportCallbackEXT*>( pCallback ) ) );
}

References d, and m_instance.

## createDebugReportCallbackEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

Result VULKAN_HPP_NAMESPACE::Instance::createDebugReportCallbackEXT | ( | const DebugReportCallbackCreateInfoEXT * | pCreateInfo,
|  | const AllocationCallbacks * | pAllocator,
|  | DebugReportCallbackEXT * | pCallback,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## createDebugReportCallbackEXTUnique() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<UniqueHandle<DebugReportCallbackEXT,Dispatch> >::type VULKAN_HPP_NAMESPACE::Instance::createDebugReportCallbackEXTUnique | ( | const DebugReportCallbackCreateInfoEXT & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47951 of file vulkan.hpp.

{
DebugReportCallbackEXT callback;
Result result = static_cast<Result>( d.vkCreateDebugReportCallbackEXT( m_instance, reinterpret_cast<const VkDebugReportCallbackCreateInfoEXT*>( &createInfo ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ), reinterpret_cast<VkDebugReportCallbackEXT*>( &callback ) ) );
ObjectDestroy<Instance,Dispatch> deleter( *this, allocator, d );
return createResultValue<DebugReportCallbackEXT,Dispatch>( result, callback, VULKAN_HPP_NAMESPACE_STRING"::Instance::createDebugReportCallbackEXTUnique", deleter );
}

References callback(), d, m_instance, and VULKAN_HPP_NAMESPACE_STRING.

## createDebugReportCallbackEXTUnique() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<UniqueHandle<DebugReportCallbackEXT,Dispatch> >::type VULKAN_HPP_NAMESPACE::Instance::createDebugReportCallbackEXTUnique | ( | const DebugReportCallbackCreateInfoEXT & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## createDebugUtilsMessengerEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<DebugUtilsMessengerEXT>::type VULKAN_HPP_NAMESPACE::Instance::createDebugUtilsMessengerEXT | ( | const DebugUtilsMessengerCreateInfoEXT & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48164 of file vulkan.hpp.

{
DebugUtilsMessengerEXT messenger;
Result result = static_cast<Result>( d.vkCreateDebugUtilsMessengerEXT( m_instance, reinterpret_cast<const VkDebugUtilsMessengerCreateInfoEXT*>( &createInfo ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ), reinterpret_cast<VkDebugUtilsMessengerEXT*>( &messenger ) ) );
return createResultValue( result, messenger, VULKAN_HPP_NAMESPACE_STRING"::Instance::createDebugUtilsMessengerEXT" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, m_instance, and VULKAN_HPP_NAMESPACE_STRING.

## createDebugUtilsMessengerEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<DebugUtilsMessengerEXT>::type VULKAN_HPP_NAMESPACE::Instance::createDebugUtilsMessengerEXT | ( | const DebugUtilsMessengerCreateInfoEXT & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## createDebugUtilsMessengerEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE Result VULKAN_HPP_NAMESPACE::Instance::createDebugUtilsMessengerEXT | ( | const DebugUtilsMessengerCreateInfoEXT * | pCreateInfo,
|  | const AllocationCallbacks * | pAllocator,
|  | DebugUtilsMessengerEXT * | pMessenger,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48158 of file vulkan.hpp.

{
return static_cast<Result>( d.vkCreateDebugUtilsMessengerEXT( m_instance, reinterpret_cast<const VkDebugUtilsMessengerCreateInfoEXT*>( pCreateInfo ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ), reinterpret_cast<VkDebugUtilsMessengerEXT*>( pMessenger ) ) );
}

References d, and m_instance.

## createDebugUtilsMessengerEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

Result VULKAN_HPP_NAMESPACE::Instance::createDebugUtilsMessengerEXT | ( | const DebugUtilsMessengerCreateInfoEXT * | pCreateInfo,
|  | const AllocationCallbacks * | pAllocator,
|  | DebugUtilsMessengerEXT * | pMessenger,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## createDebugUtilsMessengerEXTUnique() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<UniqueHandle<DebugUtilsMessengerEXT,Dispatch> >::type VULKAN_HPP_NAMESPACE::Instance::createDebugUtilsMessengerEXTUnique | ( | const DebugUtilsMessengerCreateInfoEXT & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48172 of file vulkan.hpp.

{
DebugUtilsMessengerEXT messenger;
Result result = static_cast<Result>( d.vkCreateDebugUtilsMessengerEXT( m_instance, reinterpret_cast<const VkDebugUtilsMessengerCreateInfoEXT*>( &createInfo ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ), reinterpret_cast<VkDebugUtilsMessengerEXT*>( &messenger ) ) );
ObjectDestroy<Instance,Dispatch> deleter( *this, allocator, d );
return createResultValue<DebugUtilsMessengerEXT,Dispatch>( result, messenger, VULKAN_HPP_NAMESPACE_STRING"::Instance::createDebugUtilsMessengerEXTUnique", deleter );
}

References d, m_instance, and VULKAN_HPP_NAMESPACE_STRING.

## createDebugUtilsMessengerEXTUnique() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<UniqueHandle<DebugUtilsMessengerEXT,Dispatch> >::type VULKAN_HPP_NAMESPACE::Instance::createDebugUtilsMessengerEXTUnique | ( | const DebugUtilsMessengerCreateInfoEXT & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## createDisplayPlaneSurfaceKHR() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<SurfaceKHR>::type VULKAN_HPP_NAMESPACE::Instance::createDisplayPlaneSurfaceKHR | ( | const DisplaySurfaceCreateInfoKHR & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47723 of file vulkan.hpp.

{
SurfaceKHR surface;
Result result = static_cast<Result>( d.vkCreateDisplayPlaneSurfaceKHR( m_instance, reinterpret_cast<const VkDisplaySurfaceCreateInfoKHR*>( &createInfo ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ), reinterpret_cast<VkSurfaceKHR*>( &surface ) ) );
return createResultValue( result, surface, VULKAN_HPP_NAMESPACE_STRING"::Instance::createDisplayPlaneSurfaceKHR" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, m_instance, and VULKAN_HPP_NAMESPACE_STRING.

## createDisplayPlaneSurfaceKHR() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<SurfaceKHR>::type VULKAN_HPP_NAMESPACE::Instance::createDisplayPlaneSurfaceKHR | ( | const DisplaySurfaceCreateInfoKHR & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## createDisplayPlaneSurfaceKHR() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE Result VULKAN_HPP_NAMESPACE::Instance::createDisplayPlaneSurfaceKHR | ( | const DisplaySurfaceCreateInfoKHR * | pCreateInfo,
|  | const AllocationCallbacks * | pAllocator,
|  | SurfaceKHR * | pSurface,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47717 of file vulkan.hpp.

{
return static_cast<Result>( d.vkCreateDisplayPlaneSurfaceKHR( m_instance, reinterpret_cast<const VkDisplaySurfaceCreateInfoKHR*>( pCreateInfo ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ), reinterpret_cast<VkSurfaceKHR*>( pSurface ) ) );
}

References d, and m_instance.

## createDisplayPlaneSurfaceKHR() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

Result VULKAN_HPP_NAMESPACE::Instance::createDisplayPlaneSurfaceKHR | ( | const DisplaySurfaceCreateInfoKHR * | pCreateInfo,
|  | const AllocationCallbacks * | pAllocator,
|  | SurfaceKHR * | pSurface,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## createDisplayPlaneSurfaceKHRUnique() [1/2]

template<typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<UniqueHandle<SurfaceKHR,Dispatch> >::type VULKAN_HPP_NAMESPACE::Instance::createDisplayPlaneSurfaceKHRUnique | ( | const DisplaySurfaceCreateInfoKHR & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47731 of file vulkan.hpp.

{
SurfaceKHR surface;
Result result = static_cast<Result>( d.vkCreateDisplayPlaneSurfaceKHR( m_instance, reinterpret_cast<const VkDisplaySurfaceCreateInfoKHR*>( &createInfo ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ), reinterpret_cast<VkSurfaceKHR*>( &surface ) ) );
ObjectDestroy<Instance,Dispatch> deleter( *this, allocator, d );
return createResultValue<SurfaceKHR,Dispatch>( result, surface, VULKAN_HPP_NAMESPACE_STRING"::Instance::createDisplayPlaneSurfaceKHRUnique", deleter );
}

References d, m_instance, and VULKAN_HPP_NAMESPACE_STRING.

## createDisplayPlaneSurfaceKHRUnique() [2/2]

template<typename Dispatch = DispatchLoaderStatic>

ResultValueType<UniqueHandle<SurfaceKHR,Dispatch> >::type VULKAN_HPP_NAMESPACE::Instance::createDisplayPlaneSurfaceKHRUnique | ( | const DisplaySurfaceCreateInfoKHR & | createInfo,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## debugReportMessageEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::debugReportMessageEXT | ( | DebugReportFlagsEXT | flags,
|  | DebugReportObjectTypeEXT | objectType,
|  | uint64_t | object,
|  | size_t | location,
|  | int32_t | messageCode,
|  | const char * | pLayerPrefix,
|  | const char * | pMessage,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47989 of file vulkan.hpp.

{
d.vkDebugReportMessageEXT( m_instance, static_cast<VkDebugReportFlagsEXT>( flags ), static_cast<VkDebugReportObjectTypeEXT>( objectType ), object, location, messageCode, pLayerPrefix, pMessage );
}

References d, and m_instance.

## debugReportMessageEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::debugReportMessageEXT | ( | DebugReportFlagsEXT | flags,
|  | DebugReportObjectTypeEXT | objectType,
|  | uint64_t | object,
|  | size_t | location,
|  | int32_t | messageCode,
|  | const char * | pLayerPrefix,
|  | const char * | pMessage,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## debugReportMessageEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::debugReportMessageEXT | ( | DebugReportFlagsEXT | flags,
|  | DebugReportObjectTypeEXT | objectType,
|  | uint64_t | object,
|  | size_t | location,
|  | int32_t | messageCode,
|  | const std::string & | layerPrefix,
|  | const std::string & | message,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47995 of file vulkan.hpp.

{
#ifdef VULKAN_HPP_NO_EXCEPTIONS
VULKAN_HPP_ASSERT( layerPrefix.size() == message.size() );
#else
if ( layerPrefix.size() != message.size() )
{
throw LogicError( VULKAN_HPP_NAMESPACE_STRING "::Instance::debugReportMessageEXT: layerPrefix.size() != message.size()" );
}
#endif // VULKAN_HPP_NO_EXCEPTIONS
d.vkDebugReportMessageEXT( m_instance, static_cast<VkDebugReportFlagsEXT>( flags ), static_cast<VkDebugReportObjectTypeEXT>( objectType ), object, location, messageCode, layerPrefix.c_str(), message.c_str() );
}

References d, m_instance, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## debugReportMessageEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::debugReportMessageEXT | ( | DebugReportFlagsEXT | flags,
|  | DebugReportObjectTypeEXT | objectType,
|  | uint64_t | object,
|  | size_t | location,
|  | int32_t | messageCode,
|  | const std::string & | layerPrefix,
|  | const std::string & | message,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroy() [1/16]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47617 of file vulkan.hpp.

{
d.vkDestroyInstance( m_instance, reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ) );
}

References d, and m_instance.

## destroy() [2/16]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroy() [3/16]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | DebugReportCallbackEXT | callback,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47976 of file vulkan.hpp.

{
d.vkDestroyDebugReportCallbackEXT( m_instance, static_cast<VkDebugReportCallbackEXT>( callback ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ) );
}

References callback(), d, and m_instance.

## destroy() [4/16]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | DebugReportCallbackEXT | callback,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroy() [5/16]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | DebugReportCallbackEXT | callback,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47982 of file vulkan.hpp.

{
d.vkDestroyDebugReportCallbackEXT( m_instance, static_cast<VkDebugReportCallbackEXT>( callback ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ) );
}

References callback(), d, and m_instance.

## destroy() [6/16]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | DebugReportCallbackEXT | callback,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroy() [7/16]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | DebugUtilsMessengerEXT | messenger,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48197 of file vulkan.hpp.

{
d.vkDestroyDebugUtilsMessengerEXT( m_instance, static_cast<VkDebugUtilsMessengerEXT>( messenger ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ) );
}

References d, and m_instance.

## destroy() [8/16]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | DebugUtilsMessengerEXT | messenger,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroy() [9/16]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | DebugUtilsMessengerEXT | messenger,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48203 of file vulkan.hpp.

{
d.vkDestroyDebugUtilsMessengerEXT( m_instance, static_cast<VkDebugUtilsMessengerEXT>( messenger ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ) );
}

References d, and m_instance.

## destroy() [10/16]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | DebugUtilsMessengerEXT | messenger,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroy() [11/16]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47623 of file vulkan.hpp.

{
d.vkDestroyInstance( m_instance, reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ) );
}

References d, and m_instance.

## destroy() [12/16]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroy() [13/16]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | SurfaceKHR | surface,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47756 of file vulkan.hpp.

{
d.vkDestroySurfaceKHR( m_instance, static_cast<VkSurfaceKHR>( surface ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ) );
}

References d, and m_instance.

## destroy() [14/16]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | SurfaceKHR | surface,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroy() [15/16]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | SurfaceKHR | surface,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47762 of file vulkan.hpp.

{
d.vkDestroySurfaceKHR( m_instance, static_cast<VkSurfaceKHR>( surface ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ) );
}

References d, and m_instance.

## destroy() [16/16]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroy | ( | SurfaceKHR | surface,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroyDebugReportCallbackEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroyDebugReportCallbackEXT | ( | DebugReportCallbackEXT | callback,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47963 of file vulkan.hpp.

{
d.vkDestroyDebugReportCallbackEXT( m_instance, static_cast<VkDebugReportCallbackEXT>( callback ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ) );
}

References callback(), d, and m_instance.

## destroyDebugReportCallbackEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroyDebugReportCallbackEXT | ( | DebugReportCallbackEXT | callback,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroyDebugReportCallbackEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroyDebugReportCallbackEXT | ( | DebugReportCallbackEXT | callback,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47969 of file vulkan.hpp.

{
d.vkDestroyDebugReportCallbackEXT( m_instance, static_cast<VkDebugReportCallbackEXT>( callback ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ) );
}

References callback(), d, and m_instance.

## destroyDebugReportCallbackEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroyDebugReportCallbackEXT | ( | DebugReportCallbackEXT | callback,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroyDebugUtilsMessengerEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroyDebugUtilsMessengerEXT | ( | DebugUtilsMessengerEXT | messenger,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48184 of file vulkan.hpp.

{
d.vkDestroyDebugUtilsMessengerEXT( m_instance, static_cast<VkDebugUtilsMessengerEXT>( messenger ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ) );
}

References d, and m_instance.

## destroyDebugUtilsMessengerEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroyDebugUtilsMessengerEXT | ( | DebugUtilsMessengerEXT | messenger,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroyDebugUtilsMessengerEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroyDebugUtilsMessengerEXT | ( | DebugUtilsMessengerEXT | messenger,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48190 of file vulkan.hpp.

{
d.vkDestroyDebugUtilsMessengerEXT( m_instance, static_cast<VkDebugUtilsMessengerEXT>( messenger ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ) );
}

References d, and m_instance.

## destroyDebugUtilsMessengerEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroyDebugUtilsMessengerEXT | ( | DebugUtilsMessengerEXT | messenger,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroySurfaceKHR() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroySurfaceKHR | ( | SurfaceKHR | surface,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47743 of file vulkan.hpp.

{
d.vkDestroySurfaceKHR( m_instance, static_cast<VkSurfaceKHR>( surface ), reinterpret_cast<const VkAllocationCallbacks*>( pAllocator ) );
}

References d, and m_instance.

## destroySurfaceKHR() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroySurfaceKHR | ( | SurfaceKHR | surface,
|  | const AllocationCallbacks * | pAllocator,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## destroySurfaceKHR() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::destroySurfaceKHR | ( | SurfaceKHR | surface,
|  | Optional< const AllocationCallbacks > | allocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47749 of file vulkan.hpp.

{
d.vkDestroySurfaceKHR( m_instance, static_cast<VkSurfaceKHR>( surface ), reinterpret_cast<const VkAllocationCallbacks*>( static_cast<const AllocationCallbacks*>( allocator ) ) );
}

References d, and m_instance.

## destroySurfaceKHR() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::destroySurfaceKHR | ( | SurfaceKHR | surface,
|  | Optional< const AllocationCallbacks > | allocator = `nullptr`,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## enumeratePhysicalDeviceGroups() [1/6]

template<typename Allocator = std::allocator<PhysicalDeviceGroupProperties>, typename Dispatch = DispatchLoaderStatic>

ResultValueType<std::vector<PhysicalDeviceGroupProperties,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroups | ( | Allocator const & | vectorAllocator,
|  | Dispatch const & | d
| ) |  | const

## enumeratePhysicalDeviceGroups() [2/6]

template<typename Allocator , typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<std::vector<PhysicalDeviceGroupProperties,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroups | ( | Allocator const & | vectorAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48035 of file vulkan.hpp.

{
std::vector<PhysicalDeviceGroupProperties,Allocator> physicalDeviceGroupProperties( vectorAllocator );
uint32_t physicalDeviceGroupCount;
Result result;
do
{
result = static_cast<Result>( d.vkEnumeratePhysicalDeviceGroups( m_instance, &physicalDeviceGroupCount, nullptr ) );
if ( ( result == Result::eSuccess ) && physicalDeviceGroupCount )
{
physicalDeviceGroupProperties.resize( physicalDeviceGroupCount );
result = static_cast<Result>( d.vkEnumeratePhysicalDeviceGroups( m_instance, &physicalDeviceGroupCount, reinterpret_cast<VkPhysicalDeviceGroupProperties*>( physicalDeviceGroupProperties.data() ) ) );
}
} while ( result == Result::eIncomplete );
VULKAN_HPP_ASSERT( physicalDeviceGroupCount <= physicalDeviceGroupProperties.size() );
physicalDeviceGroupProperties.resize( physicalDeviceGroupCount );
return createResultValue( result, physicalDeviceGroupProperties, VULKAN_HPP_NAMESPACE_STRING"::Instance::enumeratePhysicalDeviceGroups" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, VULKAN_HPP_NAMESPACE::eIncomplete, VULKAN_HPP_NAMESPACE::eSuccess, m_instance, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## enumeratePhysicalDeviceGroups() [3/6]

template<typename Allocator , typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<std::vector<PhysicalDeviceGroupProperties,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroups | ( | Dispatch const & | d | ) | const

Definition at line 48016 of file vulkan.hpp.

{
std::vector<PhysicalDeviceGroupProperties,Allocator> physicalDeviceGroupProperties;
uint32_t physicalDeviceGroupCount;
Result result;
do
{
result = static_cast<Result>( d.vkEnumeratePhysicalDeviceGroups( m_instance, &physicalDeviceGroupCount, nullptr ) );
if ( ( result == Result::eSuccess ) && physicalDeviceGroupCount )
{
physicalDeviceGroupProperties.resize( physicalDeviceGroupCount );
result = static_cast<Result>( d.vkEnumeratePhysicalDeviceGroups( m_instance, &physicalDeviceGroupCount, reinterpret_cast<VkPhysicalDeviceGroupProperties*>( physicalDeviceGroupProperties.data() ) ) );
}
} while ( result == Result::eIncomplete );
VULKAN_HPP_ASSERT( physicalDeviceGroupCount <= physicalDeviceGroupProperties.size() );
physicalDeviceGroupProperties.resize( physicalDeviceGroupCount );
return createResultValue( result, physicalDeviceGroupProperties, VULKAN_HPP_NAMESPACE_STRING"::Instance::enumeratePhysicalDeviceGroups" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, VULKAN_HPP_NAMESPACE::eIncomplete, VULKAN_HPP_NAMESPACE::eSuccess, m_instance, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## enumeratePhysicalDeviceGroups() [4/6]

template<typename Allocator = std::allocator<PhysicalDeviceGroupProperties>, typename Dispatch = DispatchLoaderStatic>

ResultValueType<std::vector<PhysicalDeviceGroupProperties,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroups | ( | Dispatch const & | d = `Dispatch()` | ) | const

## enumeratePhysicalDeviceGroups() [5/6]

template<typename Dispatch >

VULKAN_HPP_INLINE Result VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroups | ( | uint32_t * | pPhysicalDeviceGroupCount,
|  | PhysicalDeviceGroupProperties * | pPhysicalDeviceGroupProperties,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48010 of file vulkan.hpp.

{
return static_cast<Result>( d.vkEnumeratePhysicalDeviceGroups( m_instance, pPhysicalDeviceGroupCount, reinterpret_cast<VkPhysicalDeviceGroupProperties*>( pPhysicalDeviceGroupProperties ) ) );
}

References d, and m_instance.

## enumeratePhysicalDeviceGroups() [6/6]

template<typename Dispatch = DispatchLoaderStatic>

Result VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroups | ( | uint32_t * | pPhysicalDeviceGroupCount,
|  | PhysicalDeviceGroupProperties * | pPhysicalDeviceGroupProperties,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## enumeratePhysicalDeviceGroupsKHR() [1/6]

template<typename Allocator = std::allocator<PhysicalDeviceGroupProperties>, typename Dispatch = DispatchLoaderStatic>

ResultValueType<std::vector<PhysicalDeviceGroupProperties,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroupsKHR | ( | Allocator const & | vectorAllocator,
|  | Dispatch const & | d
| ) |  | const

## enumeratePhysicalDeviceGroupsKHR() [2/6]

template<typename Allocator , typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<std::vector<PhysicalDeviceGroupProperties,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroupsKHR | ( | Allocator const & | vectorAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48081 of file vulkan.hpp.

{
std::vector<PhysicalDeviceGroupProperties,Allocator> physicalDeviceGroupProperties( vectorAllocator );
uint32_t physicalDeviceGroupCount;
Result result;
do
{
result = static_cast<Result>( d.vkEnumeratePhysicalDeviceGroupsKHR( m_instance, &physicalDeviceGroupCount, nullptr ) );
if ( ( result == Result::eSuccess ) && physicalDeviceGroupCount )
{
physicalDeviceGroupProperties.resize( physicalDeviceGroupCount );
result = static_cast<Result>( d.vkEnumeratePhysicalDeviceGroupsKHR( m_instance, &physicalDeviceGroupCount, reinterpret_cast<VkPhysicalDeviceGroupProperties*>( physicalDeviceGroupProperties.data() ) ) );
}
} while ( result == Result::eIncomplete );
VULKAN_HPP_ASSERT( physicalDeviceGroupCount <= physicalDeviceGroupProperties.size() );
physicalDeviceGroupProperties.resize( physicalDeviceGroupCount );
return createResultValue( result, physicalDeviceGroupProperties, VULKAN_HPP_NAMESPACE_STRING"::Instance::enumeratePhysicalDeviceGroupsKHR" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, VULKAN_HPP_NAMESPACE::eIncomplete, VULKAN_HPP_NAMESPACE::eSuccess, m_instance, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## enumeratePhysicalDeviceGroupsKHR() [3/6]

template<typename Allocator , typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<std::vector<PhysicalDeviceGroupProperties,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroupsKHR | ( | Dispatch const & | d | ) | const

Definition at line 48062 of file vulkan.hpp.

{
std::vector<PhysicalDeviceGroupProperties,Allocator> physicalDeviceGroupProperties;
uint32_t physicalDeviceGroupCount;
Result result;
do
{
result = static_cast<Result>( d.vkEnumeratePhysicalDeviceGroupsKHR( m_instance, &physicalDeviceGroupCount, nullptr ) );
if ( ( result == Result::eSuccess ) && physicalDeviceGroupCount )
{
physicalDeviceGroupProperties.resize( physicalDeviceGroupCount );
result = static_cast<Result>( d.vkEnumeratePhysicalDeviceGroupsKHR( m_instance, &physicalDeviceGroupCount, reinterpret_cast<VkPhysicalDeviceGroupProperties*>( physicalDeviceGroupProperties.data() ) ) );
}
} while ( result == Result::eIncomplete );
VULKAN_HPP_ASSERT( physicalDeviceGroupCount <= physicalDeviceGroupProperties.size() );
physicalDeviceGroupProperties.resize( physicalDeviceGroupCount );
return createResultValue( result, physicalDeviceGroupProperties, VULKAN_HPP_NAMESPACE_STRING"::Instance::enumeratePhysicalDeviceGroupsKHR" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, VULKAN_HPP_NAMESPACE::eIncomplete, VULKAN_HPP_NAMESPACE::eSuccess, m_instance, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## enumeratePhysicalDeviceGroupsKHR() [4/6]

template<typename Allocator = std::allocator<PhysicalDeviceGroupProperties>, typename Dispatch = DispatchLoaderStatic>

ResultValueType<std::vector<PhysicalDeviceGroupProperties,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroupsKHR | ( | Dispatch const & | d = `Dispatch()` | ) | const

## enumeratePhysicalDeviceGroupsKHR() [5/6]

template<typename Dispatch >

VULKAN_HPP_INLINE Result VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroupsKHR | ( | uint32_t * | pPhysicalDeviceGroupCount,
|  | PhysicalDeviceGroupProperties * | pPhysicalDeviceGroupProperties,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48056 of file vulkan.hpp.

{
return static_cast<Result>( d.vkEnumeratePhysicalDeviceGroupsKHR( m_instance, pPhysicalDeviceGroupCount, reinterpret_cast<VkPhysicalDeviceGroupProperties*>( pPhysicalDeviceGroupProperties ) ) );
}

References d, and m_instance.

## enumeratePhysicalDeviceGroupsKHR() [6/6]

template<typename Dispatch = DispatchLoaderStatic>

Result VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDeviceGroupsKHR | ( | uint32_t * | pPhysicalDeviceGroupCount,
|  | PhysicalDeviceGroupProperties * | pPhysicalDeviceGroupProperties,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## enumeratePhysicalDevices() [1/6]

template<typename Allocator = std::allocator<PhysicalDevice>, typename Dispatch = DispatchLoaderStatic>

ResultValueType<std::vector<PhysicalDevice,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDevices | ( | Allocator const & | vectorAllocator,
|  | Dispatch const & | d
| ) |  | const

## enumeratePhysicalDevices() [2/6]

template<typename Allocator , typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<std::vector<PhysicalDevice,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDevices | ( | Allocator const & | vectorAllocator,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47655 of file vulkan.hpp.

{
std::vector<PhysicalDevice,Allocator> physicalDevices( vectorAllocator );
uint32_t physicalDeviceCount;
Result result;
do
{
result = static_cast<Result>( d.vkEnumeratePhysicalDevices( m_instance, &physicalDeviceCount, nullptr ) );
if ( ( result == Result::eSuccess ) && physicalDeviceCount )
{
physicalDevices.resize( physicalDeviceCount );
result = static_cast<Result>( d.vkEnumeratePhysicalDevices( m_instance, &physicalDeviceCount, reinterpret_cast<VkPhysicalDevice*>( physicalDevices.data() ) ) );
}
} while ( result == Result::eIncomplete );
VULKAN_HPP_ASSERT( physicalDeviceCount <= physicalDevices.size() );
physicalDevices.resize( physicalDeviceCount );
return createResultValue( result, physicalDevices, VULKAN_HPP_NAMESPACE_STRING"::Instance::enumeratePhysicalDevices" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, VULKAN_HPP_NAMESPACE::eIncomplete, VULKAN_HPP_NAMESPACE::eSuccess, m_instance, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## enumeratePhysicalDevices() [3/6]

template<typename Allocator , typename Dispatch >

VULKAN_HPP_INLINE ResultValueType<std::vector<PhysicalDevice,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDevices | ( | Dispatch const & | d | ) | const

Definition at line 47636 of file vulkan.hpp.

{
std::vector<PhysicalDevice,Allocator> physicalDevices;
uint32_t physicalDeviceCount;
Result result;
do
{
result = static_cast<Result>( d.vkEnumeratePhysicalDevices( m_instance, &physicalDeviceCount, nullptr ) );
if ( ( result == Result::eSuccess ) && physicalDeviceCount )
{
physicalDevices.resize( physicalDeviceCount );
result = static_cast<Result>( d.vkEnumeratePhysicalDevices( m_instance, &physicalDeviceCount, reinterpret_cast<VkPhysicalDevice*>( physicalDevices.data() ) ) );
}
} while ( result == Result::eIncomplete );
VULKAN_HPP_ASSERT( physicalDeviceCount <= physicalDevices.size() );
physicalDevices.resize( physicalDeviceCount );
return createResultValue( result, physicalDevices, VULKAN_HPP_NAMESPACE_STRING"::Instance::enumeratePhysicalDevices" );
}

References VULKAN_HPP_NAMESPACE::createResultValue(), d, VULKAN_HPP_NAMESPACE::eIncomplete, VULKAN_HPP_NAMESPACE::eSuccess, m_instance, VULKAN_HPP_ASSERT, and VULKAN_HPP_NAMESPACE_STRING.

## enumeratePhysicalDevices() [4/6]

template<typename Allocator = std::allocator<PhysicalDevice>, typename Dispatch = DispatchLoaderStatic>

ResultValueType<std::vector<PhysicalDevice,Allocator> >::type VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDevices | ( | Dispatch const & | d = `Dispatch()` | ) | const

## enumeratePhysicalDevices() [5/6]

template<typename Dispatch >

VULKAN_HPP_INLINE Result VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDevices | ( | uint32_t * | pPhysicalDeviceCount,
|  | PhysicalDevice * | pPhysicalDevices,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47630 of file vulkan.hpp.

{
return static_cast<Result>( d.vkEnumeratePhysicalDevices( m_instance, pPhysicalDeviceCount, reinterpret_cast<VkPhysicalDevice*>( pPhysicalDevices ) ) );
}

References d, and m_instance.

## enumeratePhysicalDevices() [6/6]

template<typename Dispatch = DispatchLoaderStatic>

Result VULKAN_HPP_NAMESPACE::Instance::enumeratePhysicalDevices | ( | uint32_t * | pPhysicalDeviceCount,
|  | PhysicalDevice * | pPhysicalDevices,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## getProcAddr() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE PFN_vkVoidFunction VULKAN_HPP_NAMESPACE::Instance::getProcAddr | ( | const char * | pName,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47676 of file vulkan.hpp.

{
return d.vkGetInstanceProcAddr( m_instance, pName );
}

References d, and m_instance.

## getProcAddr() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

PFN_vkVoidFunction VULKAN_HPP_NAMESPACE::Instance::getProcAddr | ( | const char * | pName,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

Referenced by VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init().

## getProcAddr() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE PFN_vkVoidFunction VULKAN_HPP_NAMESPACE::Instance::getProcAddr | ( | const std::string & | name,
|  | Dispatch const & | d
| ) |  | const

Definition at line 47682 of file vulkan.hpp.

{
return d.vkGetInstanceProcAddr( m_instance, name.c_str() );
}

References d, and m_instance.

## getProcAddr() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

PFN_vkVoidFunction VULKAN_HPP_NAMESPACE::Instance::getProcAddr | ( | const std::string & | name,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## operator bool()

VULKAN_HPP_NAMESPACE::Instance::operator bool | ( |  | ) | const

inline explicit

Definition at line 47600 of file vulkan.hpp.

{
return m_instance != VK_NULL_HANDLE;
}

References m_instance, and VK_NULL_HANDLE.

## operator VkInstance()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Instance::operator VkInstance | ( |  | ) | const

inline

Definition at line 47595 of file vulkan.hpp.

{
return m_instance;
}

References m_instance.

## operator!()

bool VULKAN_HPP_NAMESPACE::Instance::operator! | ( |  | ) | const

inline

Definition at line 47605 of file vulkan.hpp.

{
return m_instance == VK_NULL_HANDLE;
}

References m_instance, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::Instance::operator!= | ( | Instance const & | rhs | ) | const

inline

Definition at line 47336 of file vulkan.hpp.

{
return m_instance != rhs.m_instance;
}

References m_instance.

## operator<()

bool VULKAN_HPP_NAMESPACE::Instance::operator< | ( | Instance const & | rhs | ) | const

inline

Definition at line 47341 of file vulkan.hpp.

{
return m_instance < rhs.m_instance;
}

References m_instance.

## operator=()

Instance& VULKAN_HPP_NAMESPACE::Instance::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 47325 of file vulkan.hpp.

{
m_instance = VK_NULL_HANDLE;
return *this;
}

References m_instance, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::Instance::operator== | ( | Instance const & | rhs | ) | const

inline

Definition at line 47331 of file vulkan.hpp.

{
return m_instance == rhs.m_instance;
}

References m_instance.

## submitDebugUtilsMessageEXT() [1/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::submitDebugUtilsMessageEXT | ( | DebugUtilsMessageSeverityFlagBitsEXT | messageSeverity,
|  | DebugUtilsMessageTypeFlagsEXT | messageTypes,
|  | const DebugUtilsMessengerCallbackDataEXT & | callbackData,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48216 of file vulkan.hpp.

{
d.vkSubmitDebugUtilsMessageEXT( m_instance, static_cast<VkDebugUtilsMessageSeverityFlagBitsEXT>( messageSeverity ), static_cast<VkDebugUtilsMessageTypeFlagsEXT>( messageTypes ), reinterpret_cast<const VkDebugUtilsMessengerCallbackDataEXT*>( &callbackData ) );
}

References d, and m_instance.

## submitDebugUtilsMessageEXT() [2/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::submitDebugUtilsMessageEXT | ( | DebugUtilsMessageSeverityFlagBitsEXT | messageSeverity,
|  | DebugUtilsMessageTypeFlagsEXT | messageTypes,
|  | const DebugUtilsMessengerCallbackDataEXT & | callbackData,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## submitDebugUtilsMessageEXT() [3/4]

template<typename Dispatch >

VULKAN_HPP_INLINE void VULKAN_HPP_NAMESPACE::Instance::submitDebugUtilsMessageEXT | ( | DebugUtilsMessageSeverityFlagBitsEXT | messageSeverity,
|  | DebugUtilsMessageTypeFlagsEXT | messageTypes,
|  | const DebugUtilsMessengerCallbackDataEXT * | pCallbackData,
|  | Dispatch const & | d
| ) |  | const

Definition at line 48210 of file vulkan.hpp.

{
d.vkSubmitDebugUtilsMessageEXT( m_instance, static_cast<VkDebugUtilsMessageSeverityFlagBitsEXT>( messageSeverity ), static_cast<VkDebugUtilsMessageTypeFlagsEXT>( messageTypes ), reinterpret_cast<const VkDebugUtilsMessengerCallbackDataEXT*>( pCallbackData ) );
}

References d, and m_instance.

## submitDebugUtilsMessageEXT() [4/4]

template<typename Dispatch = DispatchLoaderStatic>

void VULKAN_HPP_NAMESPACE::Instance::submitDebugUtilsMessageEXT | ( | DebugUtilsMessageSeverityFlagBitsEXT | messageSeverity,
|  | DebugUtilsMessageTypeFlagsEXT | messageTypes,
|  | const DebugUtilsMessengerCallbackDataEXT * | pCallbackData,
|  | Dispatch const & | d = `Dispatch()`
| ) |  | const

## Field Documentation

## m_instance

VkInstance VULKAN_HPP_NAMESPACE::Instance::m_instance

private

Definition at line 47611 of file vulkan.hpp.

Referenced by createDebugReportCallbackEXT(), createDebugReportCallbackEXTUnique(), createDebugUtilsMessengerEXT(), createDebugUtilsMessengerEXTUnique(), createDisplayPlaneSurfaceKHR(), createDisplayPlaneSurfaceKHRUnique(), debugReportMessageEXT(), destroy(), destroyDebugReportCallbackEXT(), destroyDebugUtilsMessengerEXT(), destroySurfaceKHR(), enumeratePhysicalDeviceGroups(), enumeratePhysicalDeviceGroupsKHR(), enumeratePhysicalDevices(), getProcAddr(), operator bool(), operator VkInstance(), operator!(), operator!=(), operator<(), operator=(), operator==(), and submitDebugUtilsMessageEXT().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkDebugUtilsMessageSeverityFlagBitsEXT
VkDebugUtilsMessageSeverityFlagBitsEXT
Definition: vulkan_core.h:7399
location
GLint location
Definition: SDL_opengl_glext.h:679
VkDisplaySurfaceCreateInfoKHR
Definition: vulkan_core.h:5011
surface
EGLSurface surface
Definition: eglext.h:248
message
GLuint GLsizei const GLchar * message
Definition: SDL_opengl_glext.h:2483
VULKAN_HPP_NAMESPACE::Result::eSuccess
@ eSuccess
callback
static Uint32 callback(Uint32 interval, void *param)
Definition: testtimer.c:34
result
GLuint64EXT * result
Definition: SDL_opengl_glext.h:9432
VkDebugUtilsMessengerCreateInfoEXT
Definition: vulkan_core.h:7462
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::Result
Result
Definition: vulkan.hpp:601
name
GLuint const GLchar * name
Definition: SDL_opengl_glext.h:660
VULKAN_HPP_NAMESPACE::Instance::m_instance
VkInstance m_instance
Definition: vulkan.hpp:47611
VkDebugUtilsMessageTypeFlagsEXT
VkFlags VkDebugUtilsMessageTypeFlagsEXT
Definition: vulkan_core.h:7414
VULKAN_HPP_NAMESPACE::createResultValue
VULKAN_HPP_INLINE ResultValueType< void >::type createResultValue(Result result, char const *message)
Definition: vulkan.hpp:1022
VULKAN_HPP_ASSERT
#define VULKAN_HPP_ASSERT
Definition: vulkan.hpp:54
VULKAN_HPP_NAMESPACE_STRING
#define VULKAN_HPP_NAMESPACE_STRING
Definition: vulkan.hpp:135
VkAllocationCallbacks
Definition: vulkan_core.h:1784
uint32_t
unsigned int uint32_t
Definition: SDL_config_windows.h:63
objectType
EGLenum objectType
Definition: eglext.h:128
VkPhysicalDeviceGroupProperties
Definition: vulkan_core.h:4105
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VkDebugUtilsMessengerCallbackDataEXT
Definition: vulkan_core.h:7441
VkDebugReportObjectTypeEXT
VkDebugReportObjectTypeEXT
Definition: vulkan_core.h:6148
VULKAN_HPP_NAMESPACE::Result::eIncomplete
@ eIncomplete
VkDebugReportFlagsEXT
VkFlags VkDebugReportFlagsEXT
Definition: vulkan_core.h:6205
d
const SDL_PRINTF_FORMAT_STRING char int const SDL_PRINTF_FORMAT_STRING char int const SDL_PRINTF_FORMAT_STRING char int const SDL_PRINTF_FORMAT_STRING char const char const SDL_SCANF_FORMAT_STRING char return SDL_ThreadFunction const char void return Uint32 return Uint32 SDL_AssertionHandler void SDL_SpinLock SDL_atomic_t int int return SDL_atomic_t return void void void return void return int return SDL_AudioSpec SDL_AudioSpec return int int return return int SDL_RWops int SDL_AudioSpec Uint8 ** d
Definition: SDL_dynapi_procs.h:117
VkDebugReportCallbackCreateInfoEXT
Definition: vulkan_core.h:6217